#include <Servo.h>

Servo myServo1;
Servo myServo2;

int position = 0;
int delta = +1;           // Controls direction and speed
int buttonPin = 2;        // The pin where the button is connected
bool isMoving = false;    // Tracks whether the servos should be moving

void setup() 
{
  myServo1.attach(5);
  myServo2.attach(6);
  
  pinMode(buttonPin, INPUT_PULLUP);  // Enable internal pull-up resistor
}

void loop() 
{
  int buttonState = digitalRead(buttonPin);  // Read the button state
  
  // Check if the button is pressed (LOW means pressed with a pull-up resistor)
  if (buttonState == LOW) {
    isMoving = !isMoving;  // Toggle the movement state each press
    delay(250);            // Debouncing delay
  }

  if (isMoving) {
    // Set the new positions of the servo motors.
    myServo1.write(position);
    myServo2.write(180 - position);

    // Calculate new position.
    position += delta;
    if (position <= 0 || position >= 180) {
      delta = -delta;
    }

    // Control the speed with delay, about 5 to 100ms.
    delay(15);
  }
}